Mailinglist Archive: opensuse-factory (244 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20180714 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20180714

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
MozillaFirefox (61.0 -> 61.0.1)
alsa-plugins
babl (0.1.50 -> 0.1.52)
bluedevil5 (5.13.2 -> 5.13.3)
breeze (5.13.2 -> 5.13.3)
breeze-gtk (5.13.2 -> 5.13.3)
breeze4-style (5.13.2 -> 5.13.3)
ca-certificates-mozilla (2.22 -> 2.24)
claws-mail
discover (5.13.2 -> 5.13.3)
dri3proto (1.0 -> 1.2)
drkonqi5 (5.13.2 -> 5.13.3)
elfutils (0.172 -> 0.173)
emacs
file (5.32 -> 5.33)
gdk-pixbuf
gegl (0.4.2 -> 0.4.4)
gimp (2.10.2 -> 2.10.4)
glusterfs (3.12.3 -> 4.0.2)
grub2
gstreamer
gstreamer-plugins-bad
gstreamer-plugins-base
hwdata (0.312 -> 0.313)
installation-images-Kubic (14.377 -> 14.378)
java-10-openjdk
json-glib
kactivitymanagerd (5.13.2 -> 5.13.3)
kbproto
kcm_sddm (5.13.2 -> 5.13.3)
kde-cli-tools5 (5.13.2 -> 5.13.3)
kde-gtk-config5 (5.13.2 -> 5.13.3)
kde-user-manager (5.13.2 -> 5.13.3)
kernel-source (4.17.4 -> 4.17.5)
kgamma5 (5.13.2 -> 5.13.3)
khotkeys5 (5.13.2 -> 5.13.3)
kinfocenter5 (5.13.2 -> 5.13.3)
kmenuedit5 (5.13.2 -> 5.13.3)
kscreen5 (5.13.2 -> 5.13.3)
kscreenlocker (5.13.2 -> 5.13.3)
ksshaskpass5 (5.13.2 -> 5.13.3)
ksysguard5 (5.13.2 -> 5.13.3)
kwayland-integration (5.13.2 -> 5.13.3)
kwin5 (5.13.2 -> 5.13.3)
libXScrnSaver (1.2.2 -> 1.2.3)
libXinerama (1.1.3 -> 1.1.4)
libXxf86misc (1.0.3 -> 1.0.4)
libinput (1.11.1 -> 1.11.2)
libkdecoration2 (5.13.2 -> 5.13.3)
libkscreen2 (5.13.2 -> 5.13.3)
libksysguard5 (5.13.2 -> 5.13.3)
libreoffice (6.1.0.0.beta2 -> 6.1.0.1)
libsndfile
libstorage-ng (3.3.312 -> 3.3.316)
milou5 (5.13.2 -> 5.13.3)
nbd (3.16.2 -> 3.17)
nfs-utils
nghttp2 (1.31.1 -> 1.32.0)
oath-toolkit
okteta (0.25.0 -> 0.25.1)
oxygen5 (5.13.2 -> 5.13.3)
patterns-kde (20170319 -> 20180709)
perl-Bootloader (0.919 -> 0.921)
plasma-nm5 (5.13.2 -> 5.13.3)
plasma5-addons (5.13.2 -> 5.13.3)
plasma5-desktop (5.13.2 -> 5.13.3)
plasma5-integration (5.13.2 -> 5.13.3)
plasma5-openSUSE
plasma5-pa (5.13.2 -> 5.13.3)
plasma5-workspace (5.13.2 -> 5.13.3)
polkit-kde-agent-5 (5.13.2 -> 5.13.3)
powerdevil5 (5.13.2 -> 5.13.3)
presentproto (1.1 -> 1.2)
python-cairocffi (0.8.0 -> 0.8.1)
python-dbus-python (1.2.4 -> 1.2.8)
python-idna (2.6 -> 2.7)
python-jedi (0.12.0 -> 0.12.1)
python-kiwi (9.15.2 -> 9.16.2)
python-parso (0.2.0 -> 0.3.1)
qemu
qemu-linux-user
randrproto (1.5.0 -> 1.6.0)
renderproto
ruby-common
rubygem-byebug (10.0.0 -> 10.0.2)
rubygem-fast_gettext (1.6.0 -> 1.7.0)
rubygem-ruby-dbus (0.14.0 -> 0.15.0)
systemd
systemsettings5 (5.13.2 -> 5.13.3)
tftp
wxWidgets-3_0
wxWidgets-3_0-nostl
xfsprogs (4.15.1 -> 4.16.1)
zypp-plugin

=== Details ===

==== MozillaFirefox ====
Version update (61.0 -> 61.0.1)
Subpackages: MozillaFirefox-translations-common

- Mozilla Firefox 61.0.1:
* Fix missing content on the New Tab Page and the Home section of
the Preferences page (bmo#1471375)
* Fixed loss of bookmarks under rare circumstances when upgrading
from Firefox 60 (bmo#1472127)
* Improved playback of Twitch 1080p video streams (bmo#1469257)
* Web pages no longer lose focus when a browser popup window is
opened (bmo#1471415)
* Re-allowed downloading files from FTP sites via the "Save Link
As" option when linked from HTTP pages (bmo#1470295)
* Fixed extensions being unable to override the default homepage
in certain situations (bmo#1466846)

==== alsa-plugins ====
Subpackages: alsa-plugins-pulse alsa-plugins-pulse-32bit

- Use ffmpeg3 versions of pkgconfig(libav*)

==== babl ====
Version update (0.1.50 -> 0.1.52)

- Update to version 0.1.52:
+ Concurrency fixes and fixes to handling of 0/1 entry palettes.
+ Do not pre-equalize XYZ conversion matrices for sRGB.
+ Internal clean-ups.
+ Pre-define ACES2065-1 and ACEScg BablSpaces.
+ Add R~G~B~ set of spaces, which for all BablSpaces mean use
sRGB TRC.

==== bluedevil5 ====
Version update (5.13.2 -> 5.13.3)
Subpackages: bluedevil5-lang

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* None

==== breeze ====
Version update (5.13.2 -> 5.13.3)
Subpackages: breeze5-cursors breeze5-decoration breeze5-style
breeze5-style-lang breeze5-wallpapers

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* None

==== breeze-gtk ====
Version update (5.13.2 -> 5.13.3)
Subpackages: gtk2-metatheme-breeze gtk3-metatheme-breeze metatheme-breeze-common

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* None

==== breeze4-style ====
Version update (5.13.2 -> 5.13.3)

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* None

==== ca-certificates-mozilla ====
Version update (2.22 -> 2.24)

- Updated to 2.24 state of the Mozilla NSS Certificate store. (bsc#1100415)
- Removed CAs:
*
S-TRUST_Universal_Root_CA:2.16.96.86.197.75.35.64.91.100.212.237.37.218.217.214.30.30.crt
*
TC_TrustCenter_Class_3_CA_II:2.14.74.71.0.1.0.2.229.160.93.214.63.0.81.191.crt
*
T√úRKTRUST_Elektronik_Sertifika_Hizmet_Sa?lay?c?s?_H5:2.7.0.142.23.254.36.32.129.crt

==== claws-mail ====
Subpackages: claws-mail-lang

- Replace enchant-devel with pkgconfig(enchant), current version
does not support enchant-2. Fixed upstream for next version.
- Replace NetworkManager-devel with pkgconfig(libnm), align with
what configure looks for.

==== discover ====
Version update (5.13.2 -> 5.13.3)
Subpackages: discover-lang

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* PK: Make sure we resolve the transaction application if it fails
(kde#395994)
* KNS: don't start searches before initializing (kde#395966)
* Report a progressing change when we finish to set up and there's nothing
pending
* Recheck fetching after we remove a backend
* flatpak: don't crash if we get null updates (kde#394713)
* Don't set property twice
* Trigger a refresh when appstream data isn't available when on aptcc
* Don't catch unneeded value in lambda
* Fix warning: use the right API to get the component desktop id

==== dri3proto ====
Version update (1.0 -> 1.2)

- n_dri3proto-1.2-2018.4.patch
* update to version 1.2 (patch generated from
xorgproto-2018.4 sources)

==== drkonqi5 ====
Version update (5.13.2 -> 5.13.3)
Subpackages: drkonqi5-lang

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* None
- Recommend gdb for useful backtraces (moved from the pattern)

==== elfutils ====
Version update (0.172 -> 0.173)
Subpackages: elfutils-lang libasm1 libdw1 libebl-plugins libelf-devel libelf1

- Update to version 0.173
More fixes for crashes and hangs found by afl-fuzz. In particular various
functions now detect and break infinite loops caused by bad DIE tree cycles.
readelf: Will now lookup the size and signedness of constant value types
to display them correctly (and not just how they were encoded).
libdw: New function dwarf_next_lines to read CU-less .debug_line data.
dwarf_begin_elf now accepts ELF files containing just .debug_line
or .debug_frame sections (which can be read without needing a DIE
tree from the .debug_info section).
Removed dwarf_getscn_info, which was never implemented.
backends: Handle BPF simple relocations.
The RISCV backends now handles ABI specific CFI and knows about
RISCV register types and names.
- add cfi-fix.patch: make build green on arm target

==== emacs ====
Subpackages: emacs-info emacs-nox emacs-x11 etags

- xwidget.patch: Make xwidget-webkit-execute-script safe against GC
- Re-enable Xwidgets on 32bit architectures

==== file ====
Version update (5.32 -> 5.33)
Subpackages: file-magic libmagic1

- Update to file version 5.33
* extend the support for ${x?:} expansions for magic descriptions
* add support for ${x?:} in mime types to handle
pie binaries.
* add support for negative offsets (offsets from the end of file)
* close the file on error when writing magic (Steve Grubb)
* seccomp support (Paul Moore)
- Rename patch file-5.32.dif to file-5.33.dif
- Remove patch file-5.32-ncurses-6.1.patch now upstream
- Modify and port patches
* file-5.12-zip.dif
* file-5.16-ocloexec.patch
* file-5.17-option.dif
* file-5.19-biorad.dif
* file-5.19-printf.dif
* file-5.19-zip2.0.dif
* file-5.22-elf.dif
* file-5.24-nitpick.dif
- Add patch file-a642587a9c.patch for bsc#1096974, bsc#1096984, and
CVE-2018-10360 -- Avoid reading past the end of buffer

==== gdk-pixbuf ====
Subpackages: gdk-pixbuf-lang gdk-pixbuf-query-loaders
gdk-pixbuf-query-loaders-32bit gdk-pixbuf-thumbnailer libgdk_pixbuf-2_0-0
libgdk_pixbuf-2_0-0-32bit typelib-1_0-GdkPixbuf-2_0

- Pass all options to meson, ensure we build gdk-pixbuf with the
features we want.

==== gegl ====
Version update (0.4.2 -> 0.4.4)
Subpackages: gegl-0_4 gegl-0_4-lang libgegl-0_4-0

- Update to version 0.4.4:
+ Core:
- Point filters with need for format conversion of input are
now parallel.
- Added swap-reading, swap-writing, swap-read-total and
swap-write-total properties to GeglStats.
+ Buffer:
- Trim tile-cache when shrinking.
- Added reading locks to tiles further improving concurrent
access tolerance of GeglBuffer.
+ Operations:
- threshold: operating format changed from linear to
perceptual.
- unsharp-mask: add rename standard-deviation and scale
properties to 'Radius' and 'Amount', add 'Threshold'
property.
- recursive-transform now supports applying multiple
transformations simultanously.
- Fixed integer overflow due to logic error in pixelize.
- New operation: gegl:abs which negates negative values.
- New operation in workshop: selective-hue-saturation.

==== gimp ====
Version update (2.10.2 -> 2.10.4)
Subpackages: gimp-lang gimp-plugin-aa gimp-plugins-python libgimp-2_0-0
libgimpui-2_0-0

- fix build error for Leap 42.3
- add missing requires
- bump versions in BR according to the configure.ac
- move library requires in libgimp to %requires_ge and also force
the libgegl update
- update to 2.10.4 bug fix release
Core:
- Remove gimp_display_shell_draw_background() and all clipping
hacks for drawing the canvas background. This optimizes away
one entire step of drawing of image size, for each expose.
- Font loading does not block startup anymore. Only consequence
is that the Text tool may not be usable immediately if fonts
are not fully loaded yet (and will output an appropriate error
if you do so). All non-text related activities can be performed
right away.
- Change of the URL from bugzilla to gitlab where appropriate.
- New tool option manager to better keep track of user context
and paint options in a consistent manner.
User Interface:
- The Dashboard dockable dialog now has a 'Memory' group that
shows memory-usage information: the currently used memory size,
the available physical memory size, and the total physical
memory size. It can also show the tile-cache size, for
comparison against the other memory stats. Note that the
upper-bound of the meter is the physical memory size, so the
memory usage may be over 100% when GIMP uses the swap.
- The Dashboard dockable dialog now has "read" and "written"
fields in the dashboard swap group, which report the total
amount of data read-from/written-to the tile swap, respetively.
Additionally, the swap busy indicator (used as the meter's LED)
has been improved, so that it's active whenever data has been
read-from/written-to the swap during the last sampling
interval, rather than at the point of sampling.
- Fonts can now be tagged. The user interface is the same as for
brushes, patterns etc.
- Some icons fixed: larger spacing between broken chains and
gimp-tool-ellipse-select made symmetrical.
Usability:
- When a plug-in cannot be applied to an image because of
mismatch in image types (e.g. layer has no alpha or image is
greyscale), GIMP now displays a message listing supported image
types for this plug-in.
Tools:
- The Measurement tool now has an "Auto straighten" option
allowing to rotate the active drawable (layer, channel?) so
that the measurement line is used as horizon. As other
transform tools, the feature will work on linked drawables as
well.
- The Smudge tool now paints correctly on images with a color
profile other than the GIMP's built-in one.
Build:
- Installer: set compatibility options to run Python plugins in
HiDPI-aware mode.
- Put back compatibility DLLs for really old plugins.
- Install binary tool `gimp-test-clipboard` on the system to
allow people to help us debug clipboard bugs.
- --enable-bundled-mypaint-brushes renamed
- -enable-relocatable-bundle and also make WMF fonts looked up
on the runtime prefix of GIMP (instead of the build-time path)
when this build option was set.
Plug-ins:
- gimptool-2.0 binary now accepts source files with non-standard
extensions if it can try to guess appropriate language from the
compiler being used. It will also properly quote arguments for
shell usage.
- Run explicitly Python 2 as Python plug-in interpreter to
prevent breakage on systems where Python 3 is the default.
- raw_input()'s argument in Python console is now optional, and
input() support has been added.
File Formats:
- The PSD loader now provides an option to load "merged",
pre-composited version of the images that becomes available
when a PSD file was saved with "Maximize Compatibility" option
enabled in Photoshop. This is useful when loading PSD files
that use features that GIMP doesn't currently support, and
therefore can't render correctly, such as adjustment layers.
When loading the merged image version, we avoid loading certain
additional data from the file, such as channels, paths, and
guides, while still loading metadata. This option is currently
exposed as an additional file type ("Photoshop image
(merged)"), which has to be explicitly selected from the
file-type list when opening the image.
- Embedding GIMP's built-in sRGB color profile to exported files
is now optional. The default choice can be set in the
Preferences dialog.
Translations:
- Updated translations: Catalan, Czech, Danish, Dutch, Finnish,
Greek, Hungarian, Italian, Latvian, Polish, Romanian, Russian,
Spanish, Swedish, Ukrainian.

==== glusterfs ====
Version update (3.12.3 -> 4.0.2)
Subpackages: libgfapi0 libgfrpc0 libgfxdr0 libglusterfs0

- Update to new upstream release 4.0.2
* GlusterD2 (GD2) is a new management daemon for Gluster-4.0,
glustercli is the command-line interface for it.
It is a preview release. GD2 is not backwards compatible with
the older GlusterD. Heterogeneous clusters running both GD2
and GlusterD are not possible.
* Not all commands from GlusterD have been implemented for GD2.
* GD2 does not (yet) work well in 2-node clusters.
* Self Heal feature integrated for the new Volumes created
using Glusterd2.

==== grub2 ====
Subpackages: grub2-i386-pc grub2-snapper-plugin grub2-systemd-sleep-plugin
grub2-x86_64-efi grub2-x86_64-xen

- Fix install on xfs error (bsc#1101283)
* 0001-xfs-Accept-filesystem-with-sparse-inodes.patch
- grub2.spec: change %config to %config(noreplace)
Don't overwrite user changes to config files on upgrades.

==== gstreamer ====
Subpackages: gstreamer-lang gstreamer-utils libgstreamer-1_0-0
typelib-1_0-Gst-1_0

- Update gstreamer.macros and gstreamer.prov to be compatible with
file 5.33, which differently idenfies executables from libraries.

==== gstreamer-plugins-bad ====
Subpackages: gstreamer-plugins-bad-lang libgstadaptivedemux-1_0-0
libgstbadaudio-1_0-0 libgstbadvideo-1_0-0 libgstbasecamerabinsrc-1_0-0
libgstcodecparsers-1_0-0 libgstisoff-1_0-0 libgstmpegts-1_0-0
libgstphotography-1_0-0 libgsturidownloader-1_0-0 libgstwayland-1_0-0
libgstwebrtc-1_0-0

- Conditionalize pkgconfig(libopenmpt) and pkgconfig(lilv-0)
BuildRequires: fix build for SLE 12 SP3.

==== gstreamer-plugins-base ====
Subpackages: gstreamer-plugins-base-lang libgstallocators-1_0-0 libgstapp-1_0-0
libgstaudio-1_0-0 libgstfft-1_0-0 libgstgl-1_0-0 libgstpbutils-1_0-0
libgstriff-1_0-0 libgstrtp-1_0-0 libgstrtsp-1_0-0 libgstsdp-1_0-0
libgsttag-1_0-0 libgstvideo-1_0-0 typelib-1_0-GstAudio-1_0
typelib-1_0-GstPbutils-1_0 typelib-1_0-GstTag-1_0 typelib-1_0-GstVideo-1_0

- Conditionalize orc and pkgconfig(wayland-egl) BuildRequires and
enable-orc call, fix build for SLE 12 SP3.

==== hwdata ====
Version update (0.312 -> 0.313)

- Update to version 0.313:
* Updated pci, usb and vendor ids.

==== installation-images-Kubic ====
Version update (14.377 -> 14.378)

- merge gh#openSUSE/installation-images#255
- add pinctrl-* modules (bsc#1095796)
- 14.378

==== java-10-openjdk ====
Subpackages: java-10-openjdk-headless

- Remove the alternative for java before reinstalling it, if idlj
is its slave (bsc#1096420)
- Move idlj to *-devel package (bsc#1096420)

==== json-glib ====
Subpackages: json-glib-lang libjson-glib-1_0-0 typelib-1_0-Json-1_0

- Set gettext domain explicitly in translation-update-upstream,
as it does not support complex meson.build expressions
(bsc#1087076#c21).

==== kactivitymanagerd ====
Version update (5.13.2 -> 5.13.3)
Subpackages: kactivitymanagerd-lang

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* None

==== kbproto ====

- kbproto-devel requires pkgconfig(xproto)

==== kcm_sddm ====
Version update (5.13.2 -> 5.13.3)
Subpackages: kcm_sddm-lang

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* None

==== kde-cli-tools5 ====
Version update (5.13.2 -> 5.13.3)
Subpackages: kde-cli-tools5-lang

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* None

==== kde-gtk-config5 ====
Version update (5.13.2 -> 5.13.3)
Subpackages: kde-gtk-config5-gtk2 kde-gtk-config5-gtk3 kde-gtk-config5-lang

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* Don't have two methods called the same in parent and children class without
relation
* --warning
* Don't display duplicate icon themeicon theme entries
* Keep Cursor and Icon themes lists sorted (kde#368600)

==== kde-user-manager ====
Version update (5.13.2 -> 5.13.3)
Subpackages: kde-user-manager-lang

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* None

==== kernel-source ====
Version update (4.17.4 -> 4.17.5)
Subpackages: kernel-default kernel-default-devel kernel-devel kernel-docs
kernel-macros kernel-syms

- Linux 4.17.5 (bnc#1012628).
- ARM: dts: imx6q: Use correct SDMA script for SPI5 core
(bnc#1012628).
- x86/mm: Don't free P4D table when it is folded at runtime
(bnc#1012628).
- ARM64: dts: meson-gxl-s905x-p212: Add phy-supply for usb0
(bnc#1012628).
- netfilter: nf_tables: use WARN_ON_ONCE instead of BUG_ON in
nft_do_chain() (bnc#1012628).
- netfilter: xt_connmark: fix list corruption on rmmod
(bnc#1012628).
- netfilter: ip6t_rpfilter: provide input interface for route
lookup (bnc#1012628).
- drm/i915: Enable provoking vertex fix on Gen9 systems
(bnc#1012628).
- drm/i915: Turn off g4x DP port in .post_disable() (bnc#1012628).
- drm/i915: Disallow interlaced modes on g4x DP outputs
(bnc#1012628).
- drm/i915: Fix PIPESTAT irq ack on i965/g4x (bnc#1012628).
- drm/i915: Allow DBLSCAN user modes with eDP/LVDS/DSI
(bnc#1012628).
- drm/amd/display: release spinlock before committing updates
to stream (bnc#1012628).
- drm/amdgpu: Count disabled CRTCs in commit tail earlier
(bnc#1012628).
- drm/amdgpu: GPU vs CPU page size fixes in
amdgpu_vm_bo_split_mapping (bnc#1012628).
- drm/amdgpu: Update pin_size values before unpinning BO
(bnc#1012628).
- drm/amdgpu: Make amdgpu_vram_mgr_bo_invisible_size always
accurate (bnc#1012628).
- drm/amdgpu: Refactor amdgpu_vram_mgr_bo_invisible_size helper
(bnc#1012628).
- drm/amdgpu: Use kvmalloc_array for allocating VRAM manager
nodes array (bnc#1012628).
- drm/amdgpu: Don't default to DC support for Kaveri and older
(bnc#1012628).
- Revert "drm/sun4i: Handle DRM_BUS_FLAG_PIXDATA_*EDGE"
(bnc#1012628).
- drm/atmel-hlcdc: check stride values in the first plane
(bnc#1012628).
- drm/qxl: Call qxl_bo_unref outside atomic context (bnc#1012628).
- drm/i915/dp: Send DPCD ON for MST before phy_up (bnc#1012628).
- drm/amd/display: Clear connector's edid pointer (bnc#1012628).
- drm/sti: Depend on OF rather than selecting it (bnc#1012628).
- drm/amdgpu: fix clear_all and replace handling in the VM (v2)
(bnc#1012628).
- drm/amdgpu: Grab/put runtime PM references in
atomic_commit_tail() (bnc#1012628).
- drm/amdgpu: fix the missed vcn fw version report (bnc#1012628).
- drm/amdgpu: Add APU support in vi_set_vce_clocks (bnc#1012628).
- drm/amdgpu: Add APU support in vi_set_uvd_clocks (bnc#1012628).
- vt: prevent leaking uninitialized data to userspace via
/dev/vcs* (bnc#1012628).
- serdev: fix memleak on module unload (bnc#1012628).
- serial: 8250_pci: Remove stalled entries in blacklist
(bnc#1012628).
- iio: mma8452: Fix ignoring MMA8452_INT_DRDY (bnc#1012628).
- staging: android: ion: Return an ERR_PTR in ion_map_kernel
(bnc#1012628).
- n_tty: Access echo_* variables carefully (bnc#1012628).
- n_tty: Fix stall at n_tty_receive_char_special() (bnc#1012628).
- xhci: Fix kernel oops in trace_xhci_free_virt_device
(bnc#1012628).
- usb: typec: ucsi: Fix for incorrect status data issue
(bnc#1012628).
- usb: typec: ucsi: acpi: Workaround for cache mode issue
(bnc#1012628).
- acpi: Add helper for deactivating memory region (bnc#1012628).
- usb: typec: tcpm: fix logbuffer index is wrong if _tcpm_log
is re-entered (bnc#1012628).
- usb: dwc2: fix the incorrect bitmaps for the ports of multi_tt
hub (bnc#1012628).
- USB: serial: cp210x: add Silicon Labs IDs for Windows Update
(bnc#1012628).
- USB: serial: cp210x: add CESINEL device ids (bnc#1012628).
- usb: cdc_acm: Add quirk for Uniden UBC125 scanner (bnc#1012628).
- commit 3ff6a16
- ACPICA: Clear status of all events when entering S5
(bsc#1099930).
- commit 0c3e49d
- Update
patches.suse/btrfs-8447-serialize-subvolume-mounts-with-potentially-mi.patch
(bsc#951844 bsc#1024015 bsc#1099745).
Refresh and update for Tumbleweed. No better patch version yet.
- commit 12954e1

==== kgamma5 ====
Version update (5.13.2 -> 5.13.3)
Subpackages: kgamma5-lang

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* None

==== khotkeys5 ====
Version update (5.13.2 -> 5.13.3)
Subpackages: khotkeys5-lang

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* None

==== kinfocenter5 ====
Version update (5.13.2 -> 5.13.3)
Subpackages: kinfocenter5-lang

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* None

==== kmenuedit5 ====
Version update (5.13.2 -> 5.13.3)
Subpackages: kmenuedit5-lang

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* None

==== kscreen5 ====
Version update (5.13.2 -> 5.13.3)
Subpackages: kscreen5-lang

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* None

==== kscreenlocker ====
Version update (5.13.2 -> 5.13.3)
Subpackages: kscreenlocker-lang libKScreenLocker5

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* None

==== ksshaskpass5 ====
Version update (5.13.2 -> 5.13.3)
Subpackages: ksshaskpass5-lang

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* None

==== ksysguard5 ====
Version update (5.13.2 -> 5.13.3)
Subpackages: ksysguard5-lang

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* None

==== kwayland-integration ====
Version update (5.13.2 -> 5.13.3)

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* None

==== kwin5 ====
Version update (5.13.2 -> 5.13.3)
Subpackages: kwin5-lang

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* Link clipboard sync helper to kcrash
* Avoid potential assert in SM saving (kde#395712)

==== libXScrnSaver ====
Version update (1.2.2 -> 1.2.3)
Subpackages: libXss1 libXss1-32bit

- Update to version 1.2.3:
* Fixes a 25+-year-old bug in correctly filling in the ::root
member of the ScreenSaverNotify event.
* supersedes U_libXScrnSaver_copy_root_field.patch

==== libXinerama ====
Version update (1.1.3 -> 1.1.4)
Subpackages: libXinerama1 libXinerama1-32bit

- Update to version 1.1.4
* Contains some tiny bugfixes sitting in git unreleased for too long.

==== libXxf86misc ====
Version update (1.0.3 -> 1.0.4)

- libXxf86misc 1.0.4
* Several error paths in this library would fail to unlock libX11
when they returned, which would eventually cause the client to
deadlock. This release fixes that bug.
* supersedes libXxf86misc-xcb.diff

==== libinput ====
Version update (1.11.1 -> 1.11.2)
Subpackages: libinput-udev libinput10

- Update to version 1.11.2:
* Add a trackpoint range entry for the Lenovo X270.
* Better lid handling for the Lenovo Thinkpad Yoga models.
* Fixed touchpad palm detection on the Lenovo X1 Carbon 6th.
* Change pressure ranges for the XPS13 9333.

==== libkdecoration2 ====
Version update (5.13.2 -> 5.13.3)
Subpackages: libkdecorations2-5 libkdecorations2-5-lang libkdecorations2private6

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* None

==== libkscreen2 ====
Version update (5.13.2 -> 5.13.3)
Subpackages: libKF5Screen7 libkscreen2-plugin

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* Fix uninstalled run unit tests: set LIBRARY_OUTPUT_DIRECTORY for plugins

==== libksysguard5 ====
Version update (5.13.2 -> 5.13.3)
Subpackages: libksysguard5-helper libksysguard5-lang

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* None

==== libreoffice ====
Version update (6.1.0.0.beta2 -> 6.1.0.1)
Subpackages: libreoffice-branding-upstream libreoffice-calc libreoffice-draw
libreoffice-filters-optional libreoffice-gnome libreoffice-gtk3
libreoffice-icon-themes libreoffice-impress libreoffice-l10n-cs
libreoffice-l10n-da libreoffice-l10n-de libreoffice-l10n-el libreoffice-l10n-en
libreoffice-l10n-en_GB libreoffice-l10n-es libreoffice-l10n-fr
libreoffice-l10n-hu libreoffice-l10n-it libreoffice-l10n-ja libreoffice-l10n-pl
libreoffice-l10n-pt_BR libreoffice-l10n-ru libreoffice-l10n-zh_CN
libreoffice-l10n-zh_TW libreoffice-mailmerge libreoffice-math libreoffice-pyuno
libreoffice-qt5 libreoffice-writer libreofficekit

- Added patch:
* 0001-call-System.runFinalizersOnExit-by-reflection-since-.patch
+ Call the System.runFinalizersOnExit method by reflection,
since it is removed in jdk11
- Version update to 6.1.0.1 release

==== libsndfile ====

- Fix buffer overflow in sndfile-deinterlace, which isn't really a
security issue (bsc#1100167, CVE-2018-13139):
sndfile-deinterlace-channels-check.patch

==== libstorage-ng ====
Version update (3.3.312 -> 3.3.316)
Subpackages: libstorage-ng-lang libstorage-ng-ruby libstorage-ng1

- merge gh#openSUSE/libstorage-ng#544
- work on creating and deleting bcaches
- updated swig catches
- added unit tests
- added integration tests
- reuse code
- cleanup
- 3.3.316
- merge gh#openSUSE/libstorage-ng#543
- use sysfs path in find_by_any_name()
- 3.3.315
- merge gh#openSUSE/libstorage-ng#542
- added support for f2fs (fate#325755)
- added integration test
- removed unused code
- removed obsolete documentation
- 3.3.314
- merge gh#openSUSE/libstorage-ng#541
- handle Intel Rapid Start Technology Partition ID (fate#325885)
- extended documentation
- coding style
- 3.3.313

==== milou5 ====
Version update (5.13.2 -> 5.13.3)
Subpackages: milou5-lang

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* None

==== nbd ====
Version update (3.16.2 -> 3.17)

- Update to version 1.17.0:
* proto: add xNBD command NBD_CMD_CACHE to the spec
* server: do not crash when handling child name
* server: Close socket pair when fork fails

==== nfs-utils ====
Subpackages: nfs-client nfs-doc nfs-kernel-server

- Create files in /var/lib/nfs via tmpfiles.d [bsc#1100404],
[FATE#325524]

==== nghttp2 ====
Version update (1.31.1 -> 1.32.0)

- Update to version 1.32.0:
* lib: Ignore all input after calling session_terminate_session
* lib: Fix treatment of padding
* lib: Don't allow 101 HTTP status code because HTTP/2 removes
HTTP Upgrade
* build: add ENABLE_STATIC_LIB option to build static lib
* third-party: Upgrade neverbleed to the latest master
* asio: Support client side SNI
* src: Compile with libressl 2.7.2
* src: Allow building without NPN
* h2load: -r and --duration are mutually exclusive

==== oath-toolkit ====

- Add patch 0003-pam_oath-assign-safe-default-to-alwaysok-config-memb.patch:
- fix potential security issue in low memory situation (bsc#1089114)

==== okteta ====
Version update (0.25.0 -> 0.25.1)
Subpackages: okteta-lang

- Update to 0.25.1
* Remove extra margins from config dialog pages of the Structures
tool
* Remove debug log "register count: %d, destroy count %d:" from
normal build
* Translations improved (id, it, nn, zh_CN)

==== oxygen5 ====
Version update (5.13.2 -> 5.13.3)

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* None

==== patterns-kde ====
Version update (20170319 -> 20180709)
Subpackages: patterns-kde-kde patterns-kde-kde_edutainment
patterns-kde-kde_games patterns-kde-kde_ide patterns-kde-kde_imaging
patterns-kde-kde_internet patterns-kde-kde_multimedia patterns-kde-kde_office
patterns-kde-kde_plasma patterns-kde-kde_utilities
patterns-kde-kde_utilities_opt patterns-kde-kde_yast

- Update devel_kde_frameworks packagelist
- Update devel_qt5 packagelist
- Merge devel_kde into devel_kde_frameworks
- Don't require breeze5-wallpapers, only recommend it
- Split out PIM into a separate pattern:
* Use kleopatra instead of kgpg
* Remove 5 suffix
- Don't recommend kmozillahelper, it has a supplements already
- Slim down kde_plasma, move applications to kde
- Call it "KDE Plasma 5 Desktop Base" to make it more obvious that
only the base desktop is installed
- Improve descriptions of kde_plasma and kde
- Move gdb recommendation to drkonqi5
- Use %2F instead of - where necessary
- Remove kppp, rekonq and smb4k
- Use libreoffice-qt5 instead of libreoffice-kde4
- Only suggest cervisia
- Recommend skanlite in kde, not kde_imaging as well

==== perl-Bootloader ====
Version update (0.919 -> 0.921)

- merge gh#openSUSE/perl-bootloader#116
- add --get-option to pbl (bsc#1033776, bsc#1050349)
- 0.921
- merge gh#openSUSE/perl-bootloader#115
- Avoid undefined var warning
- 0.920

==== plasma-nm5 ====
Version update (5.13.2 -> 5.13.3)
Subpackages: plasma-nm5-lang plasma-nm5-openconnect plasma-nm5-openvpn
plasma-nm5-pptp plasma-nm5-vpnc

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* None

==== plasma5-addons ====
Version update (5.13.2 -> 5.13.3)
Subpackages: plasma5-addons-lang

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* [Media Frame] Fix history length property

==== plasma5-desktop ====
Version update (5.13.2 -> 5.13.3)
Subpackages: plasma5-desktop-lang

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* [Icons KCM] Clip delegate during animation
* [Icons KCM] Load preview pixmaps for animation on-demand and cache them
* [Font Management KCM] Only show on xcb platform (kde#364746)
* [Fonts KCM] Generate font rendering previews only on X (kde#396214)
* Correct Folder View sizing and representation switch behavior (kde#395477)
* [Splash Screen KCM] Fix "no thumbnail" icon for "None"
* Fix crash on post-initial refresh()
* [Icons KCM] Also set minimum width for icon preview
- Remove patches, now upstream:
* Correct-Folder-View-sizing-and-representation-switch-behavior.patch
- Add upstream patch to fix too tiny popups of Folderview widgets
in the panel (boo#1097992, kde#395477):
* Correct-Folder-View-sizing-and-representation-switch-behavior.patch

==== plasma5-integration ====
Version update (5.13.2 -> 5.13.3)
Subpackages: plasma5-integration-plugin plasma5-integration-plugin-lang

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* [QDBusMenuBar] Guard m_window with a QPointer (kde#376340,kde#379719)

==== plasma5-openSUSE ====
Subpackages: plasma5-defaults-openSUSE plasma5-theme-openSUSE
plasma5-workspace-branding-openSUSE sddm-theme-openSUSE

- Update to 5.13.3

==== plasma5-pa ====
Version update (5.13.2 -> 5.13.3)
Subpackages: plasma5-pa-lang

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* Fix wrong availability of profiles and ports.

==== plasma5-workspace ====
Version update (5.13.2 -> 5.13.3)
Subpackages: plasma5-session plasma5-session-wayland plasma5-workspace-lang
plasma5-workspace-libs

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* Don't block startplasma sending DBus call to KSplash
* [Places Runner] Add place category as subtext
* [Places Runner] Fix opening search and timeline URLs
* [Places Runner] Fix opening devices
- Refresh 0001-Rename-qdbus-in-startkde.patch

==== polkit-kde-agent-5 ====
Version update (5.13.2 -> 5.13.3)
Subpackages: polkit-kde-agent-5-lang

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* Remove empty Category from desktop file
* Add a window icon for authentication dialog under Wayland.

==== powerdevil5 ====
Version update (5.13.2 -> 5.13.3)
Subpackages: powerdevil5-lang

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* None

==== presentproto ====
Version update (1.1 -> 1.2)

- n_presentproto-1.2-2018.4.patch
* update to version 1.2 (patch generated from
xorgproto-2018.4 sources)

==== python-cairocffi ====
Version update (0.8.0 -> 0.8.1)

- update to version 0.8.1:
* Add cairo library name provided by pygobjectwin32
* Update docstrings to list width and height params
* Add width and height options to decode_to_image_surface

==== python-dbus-python ====
Version update (1.2.4 -> 1.2.8)
Subpackages: python2-dbus-python python3-dbus-python

- Version update to version 1.2.8:
* Python 2.7 required or 3.4 respectively
* Tests use tap.py functionality
* Upstream dropped epydoc completely
* See NEWS for more
- Use requires_ge instead of the rpm calls

==== python-idna ====
Version update (2.6 -> 2.7)
Subpackages: python2-idna python3-idna

- specfile:
* update copyright year
- update to version 2.7:
* Update to Unicode 10.0.0.
* No longer accepts dot-prefixed domains (e.g. ".example") as
valid. This is to be more conformant with the UTS 46 spec. Users
should strip dot prefixes from domains before processing.

==== python-jedi ====
Version update (0.12.0 -> 0.12.1)

- specfile:
* require parso >= 0.3.0
* remove python-devel requirement
- update to version 0.12.1:
* This release forces you to upgrade parso. If you don't, nothing
will work anymore. Otherwise changes should be limited to bug
fixes. Unfortunately Jedi still uses a few internals of parso that
make it hard to keep compatibility over multiple releases. Parso
>=0.3.0 is going to be needed.

==== python-kiwi ====
Version update (9.15.2 -> 9.16.2)

- Bump version: 9.16.1 ? 9.16.2
- Simplify configfile loading
prefix and root variables are correctly set, thus calling
the "normal" command has the same effect than the explicit
call for "configfile"
- Prevent building custom efi image
If the distribution provides a prebuilt efi image kiwi
should use it instead of building its own image.
- Bump version: 9.16.0 ? 9.16.1
- Avoid module loading in grub config template
This patch is two fold. First part replaces the import of
dedicated video modules in the grub image by the all_video
module. Second part avoids runtime module insertion which
requires access to the boot filesystem which is not
guaranteed on sophisticated rootfs structures like btrfs
plus readonly snapshots and what not. Thus we make sure
all boot code is embedded into the grub image(s) and no
extra loading of modules at runtime will be needed.
This Fixes bsc#1096937
- Fix for bsc#1094788
This is just an empty commit to include the bugfix reference in
the repository history.
The bugfix for bsc#1094788 was actually commited in:
commit 835cebfe5c488515dfbcdf33dab6262613ca5508
Author: Marcus Schäfer <ms@xxxxxxx>
Date: Tue May 29 16:42:55 2018 +0200
- Complete GUID change from signed to unsigned
Follow up fix to complete the binary packing of the GUID
format to use unsigned types. Missed to move short source
from signed to unsigned. This Fixes bsc#1095267
- Bump version: 9.15.4 ? 9.16.0
- Move fedora integration test build to fc28 distro
- Use the versioned Python interpreter path to run build helper scripts
The kiwi build process mostly does the right thing in terms of executing
with the correct Python interpreter throughout the build process, with
the exception of the Makefile not correctly locating the versioned Python
interpreter executable path, and the bash completion generator being executed
using '/usr/bin/python' without regard for what the target environment was.
This is a problem when a build environment complying with PEP 394 as it
stands today does not have Python 2 installed, such as when kiwi is being
built as a Python 3-only package in Fedora. Thus, the Makefile has been
adjusted to not only correctly locate the versioned Python interpreter, but
to also execute 'completion_helper' with the correct interpreter.
Additionally, a trivial change to the shebang to 'completion_helper'
was made to be consistent with other Python-based build helper scripts.
This is part of the overall effort to eliminate the dependencies on
Python 2 in Fedora.
Reference: https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
- Bump version: 9.15.3 ? 9.15.4
- Fixup move_to_root method
move_to_root is called to check each element of a given list
and changes any path specification to a valid path if the given
root path would be it's root(/). This tranformation implied the
creation of paths containing double slashes like //foo which
was considered harmless. However it has turned out that the dnf
package manager makes a difference here which requires to fix
the resulting paths. This Fixes #761
- Adding license tag under description tag in schema
This license tag does not effect the resulting image in any way. The tag
is just included to state the license of the kiwi image sources in case
they are distributed.
Fixes #728
- Make sure profile env is included in live images
For all images which boots via dracut the .profile file is included
except for live iso's because no information is needed from that file
to boot or customize the boot. However the .profile contains the
kiwi_revision information which is useful for any image type.
This Fixes #755
- Add config-cdroot to description import list
During the prepare step the image description and mandatory
files needed in the create step are copied into the image
root system below the image/ directory. In case of the
optional config-cdroot archive this copy action was missing
which lead to the problem that the archive was not present
if the kiwi system create command is sequence is used.
This Fixes #756
- Added true module to grub image list
When kiwi creates a grub image a list of modules are embedded.
For the purpose of snapshot boot the true module seems to be
used but was not included at build time when kiwi created
the grub image. This Fixes bsc#1093917
- Changed GUID format from signed to unsigned
With reference to Microsoft Guid constructors it seems unsigned
values are allowed which could exceed the value range of the
binary unpack used in kiwi. This Fixes bsc#1095267
- Fix SC2164 complain of shellcheck
- Updating shellcheck call from tox
Recent shellcheck versions are more strict and complain about
backslashes "\" used in literals claiming it is preferred to use
double backslashes "\\". As is just a styling advise and we use
backslashes in multiple commands (echo, sed, etc) I believe this
can be ignored.
- Relax runtime check for ISO images using dmsquash
This commit relaxes the dracut-kiwi-live module requirement if
dmsquash dracut module is selected in flags attribute.
- omit multipath module in live iso initrd
The multipath module creates device maps which puts the device
in a busy state and prevents the creation of a persistent write
partition. As multipath seems never useful for the root of a live
iso image we generally omit this module from being included
- Fixup LOADER_LOCATION in sysconfig/bootloader
By default we always set LOADER_LOCATION=mbr which is wrong
if EFI is in use. This patch updates the value to be correct.
It also seems that this variable is only consumed by the
yast2 bootloader module from past days. Thus we consider
it obsolete and on the to be droped list in future releases.
This Fixes #746
- Bump version: 9.15.2 ? 9.15.3
- Fix setup of LOADER_TYPE in sysconfig/bootloader
LOADER_TYPE value for the grub2 bootloader depends on
the use of EFI. This Fixes bsc#1094883
- Added documentation for config-cdroot archive
- Added support for config-cdroot archive
The image description now allows an optional file named:
config-cdroot.tar[.compression_postfix]. The file gets
unpacked as user data for live and install ISO images.
This allows users to add e.g license files or reference
documentation to the ISO image. This Fixes #737
- Verify file does not exist before creating symlink
- Add service dependencies in generators
Correctly adding the initrd-root-fs.target service dependency to
auto generated sysroot.mount for kiwi-live and kiwi-overlay dracut
modules.
Fixes #741
- Do not create static dev nodes in root init
For compatibility reasons kiwi created a set of static device
nodes when initializing a new image root system. With the
presence of devtmpfs this should no longer be needed. In addition
the static dev node setup now also causes problems on filesystems
like btrfs which was the reason to delete this code now.
This Fixes bsc#1087104
- Do not delete uncompressed base docker images
Fixes #739

==== python-parso ====
Version update (0.2.0 -> 0.3.1)

- specfile:
* make sure tests are run
- update to version 0.3.1:
* Bugfixes in the diff parser and keyword-only arguments
- update to version 0.3.0:
* Rewrote the pgen2 parser generator.

==== qemu ====
Subpackages: qemu-arm qemu-block-curl qemu-block-dmg qemu-block-gluster
qemu-block-iscsi qemu-block-rbd qemu-block-ssh qemu-extra qemu-guest-agent
qemu-ipxe qemu-ksm qemu-kvm qemu-lang qemu-ppc qemu-s390 qemu-seabios
qemu-sgabios qemu-tools qemu-ui-curses qemu-ui-gtk qemu-ui-sdl qemu-vgabios
qemu-x86

- Remove linux-user patch which is no longer needed (bsc#1098056)
* Patches dropped:
0011-linux-user-XXX-disable-fiemap.patch
* Patches renamed:
0036-Remove-problematic-evdev-86-key-fro.patch
- > 0011-Remove-problematic-evdev-86-key-fro.patch
0037-configure-Modify-python-used-for-io.patch
- > 0036-configure-Modify-python-used-for-io.patch
0038-qemu-io-tests-comment-out-problemat.patch
- > 0037-qemu-io-tests-comment-out-problemat.patch
0039-tests-test-thread-pool-is-racy-add-.patch
- > 0038-tests-test-thread-pool-is-racy-add-.patch
0040-device_tree-Increase-FDT_MAX_SIZE-t.patch
- > 0039-device_tree-Increase-FDT_MAX_SIZE-t.patch
0041-vnc-fix-use-after-free.patch
- > 0040-vnc-fix-use-after-free.patch
0042-ccid-Fix-dwProtocols-advertisement-.patch
- > 0041-ccid-Fix-dwProtocols-advertisement-.patch
0043-tcg-arm-Fix-memory-barrier-encoding.patch
- > 0042-tcg-arm-Fix-memory-barrier-encoding.patch
0044-s390-ccw-force-diag-308-subcode-to-.patch
- > 0043-s390-ccw-force-diag-308-subcode-to-.patch
0045-nbd-client-fix-nbd_negotiate_simple.patch
- > 0044-nbd-client-fix-nbd_negotiate_simple.patch
0046-migration-block-dirty-bitmap-fix-me.patch
- > 0045-migration-block-dirty-bitmap-fix-me.patch
0047-nbd-client-Fix-error-messages-durin.patch
- > 0046-nbd-client-Fix-error-messages-durin.patch
0048-nbd-client-Relax-handling-of-large-.patch
- > 0047-nbd-client-Relax-handling-of-large-.patch
0049-qxl-fix-local-renderer-crash.patch
- > 0048-qxl-fix-local-renderer-crash.patch
0050-tcg-Limit-the-number-of-ops-in-a-TB.patch
- > 0049-tcg-Limit-the-number-of-ops-in-a-TB.patch
0051-target-arm-Clear-SVE-high-bits-for-.patch
- > 0050-target-arm-Clear-SVE-high-bits-for-.patch
0052-cpus-tcg-fix-never-exiting-loop-on-.patch
- > 0051-cpus-tcg-fix-never-exiting-loop-on-.patch
0053-s390x-css-disabled-subchannels-cann.patch
- > 0052-s390x-css-disabled-subchannels-cann.patch
0054-pc-bios-s390-ccw-struct-tpi_info-mu.patch
- > 0053-pc-bios-s390-ccw-struct-tpi_info-mu.patch
0055-virtio-ccw-common-reset-handler.patch
- > 0054-virtio-ccw-common-reset-handler.patch
0056-s390x-ccw-make-sure-all-ccw-devices.patch
- > 0055-s390x-ccw-make-sure-all-ccw-devices.patch
0057-blockjob-expose-error-string-via-qu.patch
- > 0056-blockjob-expose-error-string-via-qu.patch
0058-blockjob-Fix-assertion-in-block_job.patch
- > 0057-blockjob-Fix-assertion-in-block_job.patch
0059-qemu-io-Use-purely-string-blockdev-.patch
- > 0058-qemu-io-Use-purely-string-blockdev-.patch
0060-qemu-img-Use-only-string-options-in.patch
- > 0059-qemu-img-Use-only-string-options-in.patch
0061-nfs-Remove-processed-options-from-Q.patch
- > 0060-nfs-Remove-processed-options-from-Q.patch
0062-i386-define-the-ssbd-CPUID-feature-.patch
- > 0061-i386-define-the-ssbd-CPUID-feature-.patch
0063-i386-Define-the-Virt-SSBD-MSR-and-h.patch
- > 0062-i386-Define-the-Virt-SSBD-MSR-and-h.patch
0064-i386-define-the-AMD-virt-ssbd-CPUID.patch
- > 0063-i386-define-the-AMD-virt-ssbd-CPUID.patch
0065-ahci-fix-PxCI-register-race.patch
- > 0064-ahci-fix-PxCI-register-race.patch
0066-ccid-card-passthru-fix-regression-i.patch
- > 0065-ccid-card-passthru-fix-regression-i.patch
0067-xen-add-block-resize-support-for-xe.patch
- > 0066-xen-add-block-resize-support-for-xe.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.12
- Fix build failure of skiboot with gcc8 compiler
skiboot-hdata-i2c.c-fix-building-with-gcc8.patch
- Tweak build service constraints information to avoid failures
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.12
* Patches added:
0067-xen-add-block-resize-support-for-xe.patch
- Tweak patch file generation to be more git version agnostic.
Also change update_git.sh to not reformat spec file by default.

==== qemu-linux-user ====

- Remove linux-user patch which is no longer needed (bsc#1098056)
* Patches dropped:
0011-linux-user-XXX-disable-fiemap.patch
* Patches renamed:
0036-Remove-problematic-evdev-86-key-fro.patch
- > 0011-Remove-problematic-evdev-86-key-fro.patch
0037-configure-Modify-python-used-for-io.patch
- > 0036-configure-Modify-python-used-for-io.patch
0038-qemu-io-tests-comment-out-problemat.patch
- > 0037-qemu-io-tests-comment-out-problemat.patch
0039-tests-test-thread-pool-is-racy-add-.patch
- > 0038-tests-test-thread-pool-is-racy-add-.patch
0040-device_tree-Increase-FDT_MAX_SIZE-t.patch
- > 0039-device_tree-Increase-FDT_MAX_SIZE-t.patch
0041-vnc-fix-use-after-free.patch
- > 0040-vnc-fix-use-after-free.patch
0042-ccid-Fix-dwProtocols-advertisement-.patch
- > 0041-ccid-Fix-dwProtocols-advertisement-.patch
0043-tcg-arm-Fix-memory-barrier-encoding.patch
- > 0042-tcg-arm-Fix-memory-barrier-encoding.patch
0044-s390-ccw-force-diag-308-subcode-to-.patch
- > 0043-s390-ccw-force-diag-308-subcode-to-.patch
0045-nbd-client-fix-nbd_negotiate_simple.patch
- > 0044-nbd-client-fix-nbd_negotiate_simple.patch
0046-migration-block-dirty-bitmap-fix-me.patch
- > 0045-migration-block-dirty-bitmap-fix-me.patch
0047-nbd-client-Fix-error-messages-durin.patch
- > 0046-nbd-client-Fix-error-messages-durin.patch
0048-nbd-client-Relax-handling-of-large-.patch
- > 0047-nbd-client-Relax-handling-of-large-.patch
0049-qxl-fix-local-renderer-crash.patch
- > 0048-qxl-fix-local-renderer-crash.patch
0050-tcg-Limit-the-number-of-ops-in-a-TB.patch
- > 0049-tcg-Limit-the-number-of-ops-in-a-TB.patch
0051-target-arm-Clear-SVE-high-bits-for-.patch
- > 0050-target-arm-Clear-SVE-high-bits-for-.patch
0052-cpus-tcg-fix-never-exiting-loop-on-.patch
- > 0051-cpus-tcg-fix-never-exiting-loop-on-.patch
0053-s390x-css-disabled-subchannels-cann.patch
- > 0052-s390x-css-disabled-subchannels-cann.patch
0054-pc-bios-s390-ccw-struct-tpi_info-mu.patch
- > 0053-pc-bios-s390-ccw-struct-tpi_info-mu.patch
0055-virtio-ccw-common-reset-handler.patch
- > 0054-virtio-ccw-common-reset-handler.patch
0056-s390x-ccw-make-sure-all-ccw-devices.patch
- > 0055-s390x-ccw-make-sure-all-ccw-devices.patch
0057-blockjob-expose-error-string-via-qu.patch
- > 0056-blockjob-expose-error-string-via-qu.patch
0058-blockjob-Fix-assertion-in-block_job.patch
- > 0057-blockjob-Fix-assertion-in-block_job.patch
0059-qemu-io-Use-purely-string-blockdev-.patch
- > 0058-qemu-io-Use-purely-string-blockdev-.patch
0060-qemu-img-Use-only-string-options-in.patch
- > 0059-qemu-img-Use-only-string-options-in.patch
0061-nfs-Remove-processed-options-from-Q.patch
- > 0060-nfs-Remove-processed-options-from-Q.patch
0062-i386-define-the-ssbd-CPUID-feature-.patch
- > 0061-i386-define-the-ssbd-CPUID-feature-.patch
0063-i386-Define-the-Virt-SSBD-MSR-and-h.patch
- > 0062-i386-Define-the-Virt-SSBD-MSR-and-h.patch
0064-i386-define-the-AMD-virt-ssbd-CPUID.patch
- > 0063-i386-define-the-AMD-virt-ssbd-CPUID.patch
0065-ahci-fix-PxCI-register-race.patch
- > 0064-ahci-fix-PxCI-register-race.patch
0066-ccid-card-passthru-fix-regression-i.patch
- > 0065-ccid-card-passthru-fix-regression-i.patch
0067-xen-add-block-resize-support-for-xe.patch
- > 0066-xen-add-block-resize-support-for-xe.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.12
- Tweak build service constraints information to avoid failures
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.12
* Patches added:
0067-xen-add-block-resize-support-for-xe.patch
- Tweak patch file generation to be more git version agnostic.
Also change update_git.sh to not reformat spec file by default.

==== randrproto ====
Version update (1.5.0 -> 1.6.0)

- n_randrproto-1.6.0-2018.4.patch
* update to version 1.6.0 (patch generated from
xorgproto-2018.4 sources)
- xrandrproto-devel requires pkgconfig(xproto) and
pkgconfig(renderproto) to be usable

==== renderproto ====

- renderproto-devel must require pkgconfig(xproto) but
this dependency was not autogenerated nor explicit.

==== ruby-common ====

- rename the gem_packages template from opensuse.spec.erb to
gem_packages.spec.erb
- add support for binary_map flag in gem2rpm.yml
- This can be used to rename the _unversioned_ symlink of the
binaries in /usr/bin/ to avoid conflicts with other packages
- gem_packages.spec.erb: sync with file in gem2rpm

==== rubygem-byebug ====
Version update (10.0.0 -> 10.0.2)

- updated to version 10.0.2
see installed CHANGELOG.md
[#]# 10.0.2 - 2018-03-30
* Error when using byebug with `debase` gem (#447, @tzmfreedom)
- updated to version 10.0.1
see installed CHANGELOG.md
[#]# 10.0.1 - 2018-03-21
[#]## Fixed
* Error when using byebug with `debase` gem (#443, @tzmfreedom)

==== rubygem-fast_gettext ====
Version update (1.6.0 -> 1.7.0)

- updated to version 1.7.0
see installed CHANGELOG

==== rubygem-ruby-dbus ====
Version update (0.14.0 -> 0.15.0)

- updated to version 0.15.0
see installed NEWS.md
[#]# Ruby D-Bus 0.15.0 - 2018-04-30
API:
* Accessing an unknown interface will raise instead of returning nil ([#74]).
Bug fixes:
* Fixed a conflict with activesupport 5.2 ([#71])
[#71]: https://github.com/mvidner/ruby-dbus/issues/71
[#74]: https://github.com/mvidner/ruby-dbus/pull/74
- 0.14.1
Bug fixes:
* Allow registering signal handlers while a signal is being handled
(gh#mvidner/ruby-dbus#70, Jan Biniok).

==== systemd ====
Subpackages: libsystemd0 libsystemd0-32bit libudev-devel libudev1
libudev1-32bit systemd-32bit systemd-coredump systemd-logger systemd-sysvinit
udev

- Drop runtime dependency on dracut (bsc#1098569)
Otherwise systemd pulls in tools to generate the initrd even in
container/chroot installations that don't have a kernel anyways.
For environments where initrd matters, dracut should be pulled via a
pattern.

==== systemsettings5 ====
Version update (5.13.2 -> 5.13.3)
Subpackages: systemsettings5-lang

- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* None

==== tftp ====

- Don't require systemd explicit, spec file can handle both cases
correct and in containers we don't have systemd.

==== wxWidgets-3_0 ====
Subpackages: libwx_baseu-suse3_0_4 libwx_baseu_net-suse3_0_4
libwx_baseu_xml-suse3_0_4 libwx_gtk2u_adv-suse3_0_4 libwx_gtk2u_aui-suse3_0_4
libwx_gtk2u_core-suse3_0_4 libwx_gtk2u_gl-suse3_0_4 libwx_gtk2u_html-suse3_0_4
libwx_gtk2u_qa-suse3_0_4 libwx_gtk2u_xrc-suse3_0_4 wxWidgets-lang

- Update relax-abi.diff for new upstream patch.

==== wxWidgets-3_0-nostl ====
Subpackages: libwx_baseu-suse-nostl3_0_4 libwx_baseu_net-suse-nostl3_0_4
libwx_baseu_xml-suse-nostl3_0_4 libwx_gtk2u_adv-suse-nostl3_0_4
libwx_gtk2u_core-suse-nostl3_0_4 libwx_gtk2u_html-suse-nostl3_0_4
libwx_gtk2u_qa-suse-nostl3_0_4

- Update relax-abi.diff for new upstream patch.

==== xfsprogs ====
Version update (4.15.1 -> 4.16.1)

- Require %libname in the develpackage to not have dangling symlink
and actually work
- Fix build for SLE11 again
- Use %license instead of %doc [bsc#1082318]
- Do not probe for lto on older GCCs as it exposes errors that
might cause random runtime issues
- Do not distribute static libraries they are not needed
- Remove the crazy part about avoiding shared library policies
it does work on SLE11 even if it is not mandated
- Make sure to run only proper parts of services on reloads for
xfs unitfiles
- Remove xfsprogs.spec useless blunder (bsc#1092843)
- Fix OpenSUSE Tumbleweed package build (bsc#1091300) due to the libhandle1
library shared object (so) name expectations, this is documented here:
https://en.opensuse.org/openSUSE:Shared_library_packaging_policy
- Move systemd check to use a macro, to make it clear when the check is
used and for what purpose exactly. Perhaps this should be moved later
into a generic OpenSUSE/SUSE macro as a generic check as I suspect tons
of other rpms will likely need the same.
- Address -Werror errors on old compilers, for the life of me I can't see
how xfsprogs is at fault, so just disable -Werror on older compilers for
now. In the future we can consider adding a work around for the compiler
instead of disabling -Werror entirely, but for now this is the best I can
come up with.
- Drop make_xfs_scrub_interp_explicit.patch, this is now upstream
- Update to v4.16.1 (using verbiage from xfsprogs/doc/CHANGES now):
* fsck.xfs: remove bashism which may interfere with boot (Eric Sandeen)
* platforms: warn of impending deprecation of irix, freebsd, darwin
* mkfs.xfs : enable sparse inodes by default (Darrick Wong)
* fsck.xfs: allow forced boot-time repairs using xfs_repair (Jan Tulak)
* xfs_repair: new -e flag alters exit code for fixed errors (Jan Tulak)
* xfs_repair: fix to allow zeroing of corrupt log (Xiao Yang)
* xfs_repair: remove old dead code (Eric Sandeen)
* xfs_io: fix operation time reporting (Dave Chinner)
* xfs_io: add RWF_DSYNC support to pwrite (Dave Chinner)
* xfs_io: support a basic extent swap command (Brian Foster)
* xfs_scrub: Many updates, still experimental (Darrick Wong)
* xfs_db: print transaction reservation type information
* libxfs: framework to detect memory leaks (Eric Sandeen)
* misc: Fix up new warnings from gcc 7.3 (Darrick Wong)
* misc: enable link time optimization, if requested (Darrick Wong)
* misc: enable retpolines across all xfsprogs utilities (Darrick Wong)

==== zypp-plugin ====

- Provide python3-zypp-plugin down to SLE12 (bsc#1081596)


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages